Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
[Java] Class JavaAwareCompilationUnit

    java.lang.Object
      org.codehaus.groovy.control.ProcessingUnit
          org.codehaus.groovy.control.CompilationUnit
              org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit

    public class JavaAwareCompilationUnit
    extends CompilationUnit

Created by IntelliJ IDEA. User: Alex.Tkachman Date: May 31, 2007 Time: 6:48:28 PM

Field Summary

Fields inherited from class CompilationUnit
ast, classSourcesByPublicClassName, classgenCallback, configured, debug, generatedClasses, names, optimizer, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier

Fields inherited from class ProcessingUnit
classLoader, configuration, errorCollector, phase, phaseComplete

Constructor Summary
`JavaAwareCompilationUnit(CompilerConfiguration configuration)`
`JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`

Method Summary
`void` | `addSources(String[] paths)`
`void` | `addSources(File[] files)`
`void` | `configure(CompilerConfiguration configuration)`
`JavaCompilerFactory` | `getCompilerFactory()`
`void` | `gotoPhase(int phase)`
`void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

Methods inherited from class CompilationUnit
addClassNode, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getClassNode, getClassSourcesByPublicClassName, getClasses, getFirstClassNode, getSummariesByPublicClassName, getSummariesBySourceName, getTransformLoader, isPublicClass, iterator, mark, setClassgenCallback, setProgressCallback

Methods inherited from class ProcessingUnit
completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, nextPhase, setClassLoader, setConfiguration

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration)

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

Method Detail

### addSources

    public void addSources(String[] paths)

### addSources

    public void addSources(File[] files)

### configure

    public void configure(CompilerConfiguration configuration)

### getCompilerFactory

    public JavaCompilerFactory getCompilerFactory()

### gotoPhase

    public void gotoPhase(int phase)

### setCompilerFactory

    public void setCompilerFactory(JavaCompilerFactory compilerFactory)

Copyright © 2003-2010 The Codehaus. All rights reserved.